import { HistoryEditor } from 'slate-history';
import { DocumentFeatures } from '../views';
import { ComponentBlock } from './component-blocks/api';
export declare const allMarkdownShortcuts: {
    bold: string[];
    italic: string[];
    strikethrough: string[];
    code: string[];
};
export declare function withMarks<T extends HistoryEditor>(editorDocumentFeatures: DocumentFeatures, componentBlocks: Record<string, ComponentBlock>, editor: T): T;
