/// <reference types="react" />
import { ComponentPropField, ComponentBlock } from '../../component-blocks';
export declare function FormValueContent({ prop, path, value, onChange, stringifiedPropPathToAutoFocus, forceValidation, }: {
    path: (string | number)[];
    prop: ComponentPropField;
    value: any;
    onChange(value: any): void;
    stringifiedPropPathToAutoFocus: string;
    forceValidation: boolean;
}): JSX.Element | null;
export declare function FormValue({ value, onClose, onChange, componentBlock, isValid, }: {
    value: any;
    onChange(value: any): void;
    onClose(): void;
    componentBlock: ComponentBlock;
    isValid: boolean;
}): JSX.Element;
